package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.demo.entity.bo.AttentionPoolBo;
import com.ruoyi.demo.entity.vo.TurnBusinessOpportunitiesVo;
import com.ruoyi.demo.entity.vo.WorkTableSearchVo;

import java.util.List;

public interface AttentionPoolService {
    PageInfo<List<AttentionPoolBo>> searchList(WorkTableSearchVo workVo, String userId);
    int cancelAttention(String attentionId, String userId);
    int turnBusinessOpportunities(TurnBusinessOpportunitiesVo turnVo, String userId);
    int attentionBrand(String brandId, String userId);
    int cancelBrand(String brnadId, String userId);
    int attentionWdInfo(String wdId, String userId);
    int cancelWdInfo(String wdId, String userId);
}
